#!/bin/sh

set -x

FREQ=$1; shift
POSTGRES=/backup-thecus/postgres
BACKUP=/backup

mkdir -p $POSTGRES
ssh postgres@anna "pg_dumpall"  | xz -9 -T2 > $POSTGRES/postgres-anna.dump.xz

/usr/bin/rsnapshot -c /root/arch-deploy/rsnapshot/disks.conf $FREQ >&2
R=$?

if [[ "$FREQ" = "daily" ]]; then
    TS=$BACKUP/daily.0/timestamp
    rm $TS
    date +"%Y-%m-%d_%H-%M-%S" > $TS
fi

set +x
{ df -h /backup*; echo; for i in {0..13}; do echo $i: $(cat $BACKUP/daily.$i/timestamp); done; } |& mail -s "backup - antea - $R" xstill@fi.muni.cz
